//
//  DeviceDisabledHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/8/12.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "DeviceDisabledHttpPostCmd.h"
#import "DeviceDisabledHttpResult.h"


static NSString *kActionUrl1 = @"/terminal/queryEquipmentState";

@implementation DeviceDisabledHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[DeviceDisabledHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[DeviceDisabledHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpDeviceDisabledHttpPostCmd_userid = @"userid";
NSString *const kHttpDeviceDisabledHttpPostCmd_id = @"id";
